#
# To build against different kernel use: --define "kernel_version VERSION-RELEASE"
#

Name: aacraid
License: Adaptec
Group: System/Kernel
Summary: Replacement driver for Adaptec Raid Controllers
Version: 1.1.5_26400
Release: 3%{?dist}
Packager: vvm@jinr.ru
Source0: %{name}-%{version}.tar.gz
Source1: %{name}-depmod.conf
BuildRoot: %{_tmppath}/%{name}-%{version}-build
Requires: %{name}-kmod
Provides: %{name}-kmod-common = %{?epoch:%{epoch}:}%{version}

#-Patch100: aacraid-1.1.5_24900-scsi_dma_map.patch

Source1111: kmodtool-aacraid
BuildRequires: %kernel_module_package_buildreqs

%define upvar default
%ifarch i686
%define paevar PAE
%endif
#-%ifarch i686 ia64 x86_64
#-%define xenvar xen
#-%endif

%define xenvar ""

%kernel_module_package -s %{SOURCE1111} %{?upvar} %{?xenvar} %{?paevar}

%description
Replacement driver for Adaptec Raid cards.

This driver replaces in-kernel %{name}  
by its updated version: %{version}

%prep
%setup -n %{name}-%{version}/
set -- *
mkdir source
#-%patch100 -p0
mv "$@" source/
mkdir obj

%build
for flavor in %{flavors_to_build} ; do
   rm -rf obj/$flavor
   cp -r source obj/$flavor
   make -C %{kernel_source $flavor} M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{name}
for flavor in %flavors_to_build ; do 
   make -C %{kernel_source $flavor} modules_install \
           M=$PWD/obj/$flavor
done

install -d -m0755 $RPM_BUILD_ROOT/%{_sysconfdir}/depmod.d/
install -m0644 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/depmod.d/%{name}.conf

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
# could we automagically add pci.updates to hwdata , please ?
%doc source/CHANGELOG source/README source/README.ServeRAID source/TODO
%config(noreplace) %{_sysconfdir}/depmod.d/%{name}.conf

%changelog
* Thu May 20 2010 vvm@jinr.ru
- update to 26400
- rebuild for SL5.5

* Thu Jan 14 2010 Jaroslaw Polok <jaroslaw.polok@cern.ch> 1.1.5_24900
- update to latest.

* Wed Nov 05 2008 Jaroslaw Polok <jaroslaw.polok@cern.ch> 
- initial version
- packaging changed to DUP: http://driverupdateprogram.com/
